Subject: Re: bug#71411: 30.0.50; Show Unicode names when describing translations

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jun 2024 14:08:33 +0300

> From: Robert Pluim <[email-masked]>
> Date: Fri, 07 Jun 2024 12:32:58 +0200
> 
> 
> 'C-x 8 RET' will show Unicode names when it shows completions, which
> helps people find the complete name of the character they want to use.
> 
> I have a patch to do something similar for 'C-h k' and 'C-h b' (for
> translated keys only), so youʼd get
> 
> 'C-h k C-x 8 E' =>
> 
>     € 'EURO SIGN' (translated from C-x 8 E)
> 
> Since the purpose of this is to provide more information by default in
> situations where people are searching for answers, I
> donʼt think this needs a configuration variable, unlike the analogous
> feaure in 'what-cursor-position'. (yes, people can hit 'C-u C-x =' in
> the *Help* buffer, but first they have to know about that).

Does this mean that if I type "C-h k a" I will be told that a is LATIN
SMALL LETTER A?  That'd be an annoyance, I think.